package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF184 extends MwfRequest<MWF184, MWF184Response> {

    @Parameter(name = "Autorizace")
    MWF184 autorizace(String autorizace);
    @Parameter(name = "CastkaLimitu")
    MWF184 castkaLimitu(Double castkaLimitu);
    @Parameter(name = "CisloUctuPlatce")
    MWF184 cisloUctuPlatce(String cisloUctuPlatce);
    @Parameter(name = "CisloUctuPrijemceInterni")
    MWF184 cisloUctuPrijemceInterni(String cisloUctuPrijemceInterni);
    @Parameter(name = "DatumPlatnostDo")
    MWF184 datumPlatnostDo(java.util.Date datumPlatnostDo);
    @Parameter(name = "KodBankyPrijemce")
    MWF184 kodBankyPrijemce(String kodBankyPrijemce);
    @Parameter(name = "KodObchodnihoMistaPlatce")
    MWF184 kodObchodnihoMistaPlatce(String kodObchodnihoMistaPlatce);
    @Parameter(name = "NazevUctuPrijemce")
    MWF184 nazevUctuPrijemce(String nazevUctuPrijemce);
    @Parameter(name = "Perioda")
    MWF184 perioda(String perioda);
    @Parameter(name = "PocetTransakciVPeriode")
    MWF184 pocetTransakciVPeriode(Long pocetTransakciVPeriode);
    @Parameter(name = "PovolenoOd")
    MWF184 povolenoOd(java.util.Date povolenoOd);
    @Parameter(name = "Uzivatel")
    MWF184 uzivatel(String uzivatel);
}
